package com.google.android.play.core.assetpacks;

import X.4N2;
import X.C18518Kc;
import X.C33198r0;
import X.C33208r1;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.bytedance.ies.abmock.SettingsManager;
import com.google.android.play.core.b.bg;
import com.google.android.play.core.common.d;
import java.io.File;
import java.util.concurrent.Executor;

public final class cf {
    public final ac LIZ;
    public final bg<dk> LIZIZ;
    public final bm LIZJ;
    public final bg<Executor> LIZLLL;
    public final ay LJ;
    public final d LJFF;

    static {
        Covode.recordClassIndex(44166);
    }

    public cf(ac acVar, bg<dk> bgVar, bm bmVar, bg<Executor> bgVar2, ay ayVar, d dVar) {
        this.LIZ = acVar;
        this.LIZIZ = bgVar;
        this.LIZJ = bmVar;
        this.LIZLLL = bgVar2;
        this.LJ = ayVar;
        this.LJFF = dVar;
    }

    public static boolean LIZ(File file) {
        MethodCollector.i(11448);
        try {
            C33208r1 r3 = C18518Kc.LIZIZ() ? (C33208r1) SettingsManager.LIZ().LIZ("storage_intercepter_key", C33208r1.class, 4N2.LIZ) : 4N2.LIZ;
            if (C33198r0.LIZ(file.getAbsolutePath(), r3)) {
                C33198r0.LIZ(file, new RuntimeException(), "exception_delete_log", C33198r0.LIZ(r3));
            }
            if (C33198r0.LIZJ(file.getAbsolutePath(), r3)) {
                C33198r0.LIZ(file, new RuntimeException(), "exception_handle", C33198r0.LIZ(r3));
                MethodCollector.o(11448);
                return false;
            }
        } catch (Throwable unused) {
        }
        boolean delete = file.delete();
        MethodCollector.o(11448);
        return delete;
    }
}
